#include "WLANWatch-Client.h"

extern int      oopsPipe[];

extern void     writeToPipe(int fd, char *str);

extern char	TxLog[];
extern char	TxLog_temp[];

static char     mesg[300];

int format_TxLog(void);

int format_TxLog()
{
	FILE		*fp;
	FILE		*fp_temp; 
	char		*tok;
	char		str[MAXLINELENGTH];
	int		first;
	
	fp_temp = fopen(TxLog_temp, "r");
	if(fp_temp == NULL){
		sprintf(mesg, "Error Opening <%s>...\n", TxLog_temp);
		writeToPipe(oopsPipe[1], mesg);
		return -1;
	}

	fp = fopen(TxLog, "w+");
	if(fp == NULL){
		sprintf(mesg, "Error Opening <%s>...\n", TxLog);
		writeToPipe(oopsPipe[1], mesg);
		fclose(fp_temp);
		return -1;
	}

	first = 1;
	while(fgets(str, sizeof(str), fp_temp) != NULL){
		if(str[0] == '\t' && str[1] == '\t' && str[2] == '\t'){
			/* 3 tabs and a space - to be skipped */
			fputs(&str[4], fp);
		}else{
			/* Just add the appropriate LLC Header of each of the outgoing packets */
			if(first){
				fputs("aaaa 0300 0000 ", fp);
				first = 0;
			}else
				fputs("\naaaa 0300 0000 ", fp);
			tok = strtok(str, " ");
			tok = strtok(NULL," ");
			tok = strtok(NULL," ");
			fputs(tok, fp);	
			fputc('\n', fp);
		}
	}

	fputc('\n', fp);
	fclose(fp_temp);
	fclose(fp);
	
	return 0;
}
