int readResponse(int fd, char *ptr, int maxlen)
{
	int	n, rc;
	char	c;

	for(n=1; n<maxlen; n++){
		if((rc = read(fd, &c, 1)) == 1){
			if(c == '\n')
				break;
			*ptr++ = c;
		}else
			if(rc == 0){
				if(n == 1)
					return 0;       /* No data read, Connection closed */
				else
					break;          /* Some data was read */
			}else
				return -1;              /* Error */
	}
	*ptr = 0;
	return n;
}

int sendCommand(int fd, char *ptr, int nbytes)
{
	int	nleft, nwritten;

	nleft = nbytes;
	while(nleft > 0){
		nwritten = write(fd, ptr, nleft);
		if(nwritten <= 0)
			return -1;              	/* Error */
		nleft -= nwritten;
		ptr   += nwritten;
	}
	return (nbytes - nleft);
}
